require "schpin_control.sequences.koke"
require "schpin_control.sequences.pid.log"

for i, jnt in pairs(all) do
    set_servo_config{joint=jnt,vars={
        goto_p_gain = 1.5,
        goto_i_gain = 0.,
        goto_d_gain = 0.05,
        vel_p_gain = 0.2,
        vel_i_gain = 0.02,
        vel_d_gain = 0.02,
    }}
end

from  = 0.1
target = 0.7853982

function get() 
    return {
        get_leg_state{leg='leg/rr'}[2],
        get_leg_state{leg='leg/rl'}[2],
        get_leg_state{leg='leg/fr'}[2],
        get_leg_state{leg='leg/fl'}[2]
    }
end

joint_goto{joints=betas, pos = from, time=1.0}
block_yield{joints=betas}

start = get_system_time()
joint_goto{joints=betas, pos = target, time=2.0}

while true do
    coroutine.yield()
    t = get_system_time()
    g = get()
    if get()[1] >= target - 0.01 then
        break
    end
end

