require "schpin_control.sequences.util"

-- Leg looks like:
--
-- body -|alfa|- coxa -(beta)- femur -(gama)- tibia
--

legs = {"leg/fr", "leg/fl", "leg/rr", "leg/rl"}

alfas = {
    "leg/fr/alfa", "leg/fl/alfa", "leg/rr/alfa", "leg/rl/alfa"
}
betas = {
    "leg/fr/beta", "leg/fl/beta", "leg/rr/beta", "leg/rl/beta"
}
gamas = {
    "leg/fr/gama", "leg/fl/gama", "leg/rr/gama", "leg/rl/gama"
}

all = merge(alfas, merge(betas, gamas))

dirs = {{1, -1, 0}, {1, 1, 0}, {-1, -1, 0}, {-1, 1, 0}}

neutral_angles = {pi/4, pi, pi}

